package com.mdd.admin.validate.log;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("防红记录搜素参数")
public class FloodLogSearchValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("ip地址")
   private String ip;
   @ApiModelProperty("域名")
   private String domain;
   @ApiModelProperty("用户标识")
   private String uuid;
   @ApiModelProperty("状态(1: 通行  2: 阻止  3: 异常)")
   private Integer status;
   @ApiModelProperty("原因")
   private String reason;
   @ApiModelProperty("设备")
   private String device;
   @ApiModelProperty("浏览器")
   private String browser;
   @ApiModelProperty("isp类型")
   private String isp;
   @ApiModelProperty("国家")
   private String country;
   @ApiModelProperty("开始时间")
   private String startTime;
   @ApiModelProperty("结束时间")
   private String endTime;

   public String getIp() {
      return this.ip;
   }

   public String getDomain() {
      return this.domain;
   }

   public String getUuid() {
      return this.uuid;
   }

   public Integer getStatus() {
      return this.status;
   }

   public String getReason() {
      return this.reason;
   }

   public String getDevice() {
      return this.device;
   }

   public String getBrowser() {
      return this.browser;
   }

   public String getIsp() {
      return this.isp;
   }

   public String getCountry() {
      return this.country;
   }

   public String getStartTime() {
      return this.startTime;
   }

   public String getEndTime() {
      return this.endTime;
   }

   public void setIp(String ip) {
      this.ip = ip;
   }

   public void setDomain(String domain) {
      this.domain = domain;
   }

   public void setUuid(String uuid) {
      this.uuid = uuid;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public void setReason(String reason) {
      this.reason = reason;
   }

   public void setDevice(String device) {
      this.device = device;
   }

   public void setBrowser(String browser) {
      this.browser = browser;
   }

   public void setIsp(String isp) {
      this.isp = isp;
   }

   public void setCountry(String country) {
      this.country = country;
   }

   public void setStartTime(String startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(String endTime) {
      this.endTime = endTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof FloodLogSearchValidate)) {
         return false;
      } else {
         FloodLogSearchValidate other = (FloodLogSearchValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label143: {
               Object this$status = this.getStatus();
               Object other$status = other.getStatus();
               if (this$status == null) {
                  if (other$status == null) {
                     break label143;
                  }
               } else if (this$status.equals(other$status)) {
                  break label143;
               }

               return false;
            }

            Object this$ip = this.getIp();
            Object other$ip = other.getIp();
            if (this$ip == null) {
               if (other$ip != null) {
                  return false;
               }
            } else if (!this$ip.equals(other$ip)) {
               return false;
            }

            Object this$domain = this.getDomain();
            Object other$domain = other.getDomain();
            if (this$domain == null) {
               if (other$domain != null) {
                  return false;
               }
            } else if (!this$domain.equals(other$domain)) {
               return false;
            }

            label122: {
               Object this$uuid = this.getUuid();
               Object other$uuid = other.getUuid();
               if (this$uuid == null) {
                  if (other$uuid == null) {
                     break label122;
                  }
               } else if (this$uuid.equals(other$uuid)) {
                  break label122;
               }

               return false;
            }

            label115: {
               Object this$reason = this.getReason();
               Object other$reason = other.getReason();
               if (this$reason == null) {
                  if (other$reason == null) {
                     break label115;
                  }
               } else if (this$reason.equals(other$reason)) {
                  break label115;
               }

               return false;
            }

            Object this$device = this.getDevice();
            Object other$device = other.getDevice();
            if (this$device == null) {
               if (other$device != null) {
                  return false;
               }
            } else if (!this$device.equals(other$device)) {
               return false;
            }

            Object this$browser = this.getBrowser();
            Object other$browser = other.getBrowser();
            if (this$browser == null) {
               if (other$browser != null) {
                  return false;
               }
            } else if (!this$browser.equals(other$browser)) {
               return false;
            }

            label94: {
               Object this$isp = this.getIsp();
               Object other$isp = other.getIsp();
               if (this$isp == null) {
                  if (other$isp == null) {
                     break label94;
                  }
               } else if (this$isp.equals(other$isp)) {
                  break label94;
               }

               return false;
            }

            label87: {
               Object this$country = this.getCountry();
               Object other$country = other.getCountry();
               if (this$country == null) {
                  if (other$country == null) {
                     break label87;
                  }
               } else if (this$country.equals(other$country)) {
                  break label87;
               }

               return false;
            }

            Object this$startTime = this.getStartTime();
            Object other$startTime = other.getStartTime();
            if (this$startTime == null) {
               if (other$startTime != null) {
                  return false;
               }
            } else if (!this$startTime.equals(other$startTime)) {
               return false;
            }

            Object this$endTime = this.getEndTime();
            Object other$endTime = other.getEndTime();
            if (this$endTime == null) {
               if (other$endTime != null) {
                  return false;
               }
            } else if (!this$endTime.equals(other$endTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof FloodLogSearchValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $ip = this.getIp();
      result = result * 59 + ($ip == null ? 43 : $ip.hashCode());
      Object $domain = this.getDomain();
      result = result * 59 + ($domain == null ? 43 : $domain.hashCode());
      Object $uuid = this.getUuid();
      result = result * 59 + ($uuid == null ? 43 : $uuid.hashCode());
      Object $reason = this.getReason();
      result = result * 59 + ($reason == null ? 43 : $reason.hashCode());
      Object $device = this.getDevice();
      result = result * 59 + ($device == null ? 43 : $device.hashCode());
      Object $browser = this.getBrowser();
      result = result * 59 + ($browser == null ? 43 : $browser.hashCode());
      Object $isp = this.getIsp();
      result = result * 59 + ($isp == null ? 43 : $isp.hashCode());
      Object $country = this.getCountry();
      result = result * 59 + ($country == null ? 43 : $country.hashCode());
      Object $startTime = this.getStartTime();
      result = result * 59 + ($startTime == null ? 43 : $startTime.hashCode());
      Object $endTime = this.getEndTime();
      result = result * 59 + ($endTime == null ? 43 : $endTime.hashCode());
      return result;
   }

   public String toString() {
      return "FloodLogSearchValidate(ip=" + this.getIp() + ", domain=" + this.getDomain() + ", uuid=" + this.getUuid() + ", status=" + this.getStatus() + ", reason=" + this.getReason() + ", device=" + this.getDevice() + ", browser=" + this.getBrowser() + ", isp=" + this.getIsp() + ", country=" + this.getCountry() + ", startTime=" + this.getStartTime() + ", endTime=" + this.getEndTime() + ")";
   }
}
